# 9.13:  First, review the merged DataFrame and note the missing values.  Then check to see if any
# empty values can be found in the 'course' column.

import pandas as pd

sgrades = pd.read_csv('../student_db_grades.csv', sep=':')
snames = pd.read_csv('../student_db_names.csv')

sj = pd.merge(sgrades, snames, on='id', how='outer')

sj
print()

# see boolean column of whether missing or not
print('sj.course.isna(): ')
sj.course.isna()
print()

# see whether there are any missing values
print('sj.course.isna().any(): ')
sj.course.isna().any()
print()

# count the number of missing values
print('sj.course.insa().count(): ')
sj.course.isna().count()
print()

# select rows with missing data
print('sj[ sj.course.isna() ]')
sj[ sj.course.isna() ]
print()

